Skip to main content
`Ctrl`+`K`

# imageio.core.Format.__init__

Format.__init__(name, description, extensions=None, modes=None)

  Initialize the Plugin.

  Parameters:
    name str

      A short name of this format. Users can select a format using its name.

    description str

      A one-line description of the format.

    extensions str | list | None

      List of filename extensions that this format supports. If a string is passed it should be space or comma separated. The extensions are used in the documentation and to allow users to select a format by file extension. It is not used to determine what format to use for reading/saving a file.

    modes str

      A string containing the modes that this format can handle (‘iIvV’), “i” for an image, “I” for multiple images, “v” for a volume, “V” for multiple volumes. This attribute is used in the documentation and to select the formats when reading/saving a file.